Bug 117742 - Kernel panic: No init found
Kernel panic: No init found
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: s390utils (Show other bugs)
s390 Linux
high Severity high
: ---
: ---
Assigned To: Phil Knirsch
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-03-07 20:39 EST by Janet Smith
Modified: 2015-03-04 20:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-02 08:39:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Janet Smith 2004-03-07 20:39:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
After using "up2date" to install the latest kernel, I get kernel 
failure:  Kernel panic: No init found

Previous kernel was 2.4.21-4.EL
Now neither kernel will boot.  I get the kernel panic when trying 
either one.  

I performed zipl with the following config:
[root@lnxbld boot]# cat /etc/zipl.conf
        parameters="root=/dev/dasda1    "
        parameters="root=/dev/dasda1    "

[root@lnxbld boot]# zipl
Using config file '/etc/zipl.conf'
Building bootmap '/boot//bootmap'
Building menu 'rh-automatic-menu'
Adding #1: IPL section '2.4.21-9.0.1.EL'
Adding #2: IPL section 'linux' (default)
Preparing boot device: dasda (0201).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install kernel-2.4.21-9.0.1.EL
2. reboot


Actual Results:  Kernel panic: No init found

Expected Results:  system should have booted

Additional info:
Linux version 2.4.21-4.EL (bhcompile@byron.z900.redhat.com) (gcc 
version 3.2.3 2
0030502 (Red Hat Linux 3.2.3-20)) #1 SMP Fri Oct 3 17:31:42 EDT 2003
We are running under VM (31 bit mode)
This machine has no PFIX support
This machine has an IEEE fpu
On node 0 totalpages: 65536
zone(0): 65536 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: root=/dev/dasda1
Creating root device
Mounting root filesystem
VFS: Can't find ext2 filesystem on dev dasd(94,0).
mount: error 22 mounting ext2
pivotroot: pivot_root(/sysroot,/sysroot/initrd) failed: 2
umount /initrd/proc failed: 2
Freeing unused kernel memory: 79k freed                            
Kernel panic: No init found.  Try passing init= option to kernel.
Comment 1 Janet Smith 2004-03-08 15:07:20 EST
additional information:

chroot /mnt/new rpm -qa|grep kernel

ls -l boot
total 14308
-rw-------    1 root     root        66048 Mar  7 19:17 bootmap
-rw-r--r--    1 root     root        48095 Oct  3 16:41 config-2.4.21-
-rw-r--r--    1 root     root        48111 Feb  9 21:14 config-2.4.21-
drwxr-xr-x    2 root     root         4096 Oct 27 17:38 grub
-rw-r--r--    1 root     root       597889 Nov 24 10:05 initrd-2.4.21-
-rw-r--r--    1 root     root       596569 Mar  7 19:10 initrd-2.4.21-
-rw-r--r--    1 root     root          331 Oct 27 17:40 kernel.h
-rw-r--r--    1 root     root        23108 Sep 11 02:32 message
-rw-r--r--    1 root     root        21282 Sep 11 02:32 message.ja
-rw-r--r--    1 root     root           17 Mar  5 19:43 parmfile.1
lrwxrwxrwx    1 root     root           22 Mar  5 19:42 System.map -> 
-rw-r--r--    1 root     root       270194 Oct  3 16:41 System.map-
-rw-r--r--    1 root     root       271258 Feb  9 21:14 System.map-
-rw-r--r--    1 root     root         6109 Feb 19 04:41 tape0
-rwxr-xr-x    1 root     root      3163388 Oct  3 16:41 vmlinux-
-rwxr-xr-x    1 root     root      3167488 Feb  9 21:14 vmlinux-
-rwxr-xr-x    1 root     root      3144960 Oct  3 16:41 vmlinuz-
-rwxr-xr-x    1 root     root      3153152 Feb  9 21:14 vmlinuz-
jasmith@lnxbld Ready;
cat etc/zipl.conf
        parameters="root=/dev/dasda1    "
        parameters="root=/dev/dasda1    "
Comment 2 Janet Smith 2004-03-08 15:59:00 EST
Problem is with zipl.

I uninstalled s390utils-1.2.4-3
reinstalled s390utils-1.1.7-2

Ran zipl and system booted OK.
Comment 3 Ernie Petrides 2004-03-08 17:56:35 EST
Thanks for this report, Janet.  I'm reassigning this to our s390utils
maintainer.  But I'd like to mention that the RHEL3 U2 s390* kernel
packages will now list a conflict with s390utils pkg versions prior
to s390utils-1.2.4-3.  We believe that s390utils-1.2.4-3 has a bug
fix that is critical for upgrades *from* U1.

Is it possible that your /etc/zipl.conf was mangled by the U1 version
of s390utils (the one prior to 1.2.4-3)?
Comment 4 Janet Smith 2004-04-15 18:11:08 EDT
I don't know.  Early in this bug, I pasted the /etc/zipl.conf file 
and the results of the zipl command.  

I'll mention another problem now.  I'm trying to boot from scsi and 
using this older zipl (from s390utils-1.1.7-2), I could not get a 
proper zipl result:

# chroot /mnt/new zipl
Error: Cannot get partition info for bootmap /boot//bootmap.

So, I installed the newer zipl (from s390utils-1.2.4-3).  And like 
the with DASD, the zipl appeared to work.  However, we get the kernel 
panic on booting from the SCSI device also.
Comment 5 Karsten Hopp 2004-06-14 06:05:17 EDT
> VFS: Can't find ext2 filesystem on dev dasd(94,0) 
I wonder why it tries to access /dev/dasda instead of /dev/dasda1 ? 
94,0 is dasda, 94,1 is dasda1 
Comment 6 Phil Knirsch 2004-07-02 08:39:31 EDT
Well, booting from SCSI isn't supported for Red Hat Enterprise Linux 3
at the moment iirc.

But as Ernie already pointed out, versions prior to s390utils-1.2.4-3
hat a bug that sometimes prevented the proper installation of the zipl

As booting from DADS now work again i'll close this bug as ERRATA (as
the latest quarterly update has the fixed version included).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.